Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419754 - [RFE] Revive failed update where it is possible
Summary: [RFE] Revive failed update where it is possible
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: Upstream M2
: ---
Assignee: Carlos Camacho
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On: 1384647
Blocks: 1442136
TreeView+ depends on / blocked
 
Reported: 2017-02-06 23:45 UTC by Jaromir Coufal
Modified: 2018-08-10 09:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-10 09:45:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 466213 0 None None None 2017-05-31 12:36:06 UTC

Description Jaromir Coufal 2017-02-06 23:45:35 UTC
As a cloud operator, in case of failed update I want to revive whenever it is possible and continue in the process so that I don't have to rollback and start the whole procedure over again.

Comment 1 Jaromir Coufal 2017-03-15 15:48:01 UTC
Service update should be idempotent, we are trying to achieve a goal:

"If updates fail, I want to re-run update command, which will revive the procedure and ends the process (this time hopefully) successfully."

Comment 4 Sofer Athlan-Guyot 2017-05-30 12:28:44 UTC
Need a associated test plan for QE if possible.


Note You need to log in before you can comment on or make changes to this bug.